# Create or update reusable blocks Creates reusable blocks if you do not specify block IDs, or updates existing reusable blocks if you specify valid block IDs. All fields must be provided for each reusable block you want to update. The maximum number of reusable blocks that you can create or update by one call is 1,000. Endpoint: POST /notifications/reusable-blocks/import Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Request fields (application/json): - `allowPartialSuccess` (boolean) When set to false, the call will fail if one or multiple instances fail to import, and a 200 response is returned if all reusable blocks have been successfully updated. When set to true, a success (200) response is returned if one or more instances have imported successfully. All failed instances are also returned in the response. - `reusableBlocks` (array) A container for reusable blocks. - `reusableBlocks.active` (boolean) The status of the reusable block. Only active blocks can be embedded into email templates. - `reusableBlocks.category` (string, required) The category of the reusable block. You can filter blocks by category when editing email templates in the UI. Enum: "Headers", "Footers", "Other" - `reusableBlocks.content` (string, required) The content of the reusable block, which is automatically inserted into email templates when sending email notifications. - `reusableBlocks.id` (string) ID of an existing reusable block. Specify this field if you want to update an existing reusable block. You must provide all fields when updating an existing reusable block. - `reusableBlocks.name` (string, required) The name of the reusable block. The value must be unique across all blocks. - `reusableBlocks.number` (string) The number of the reusable block. The value must be unique across all blocks. If not specified, a unique value will be provided by default. - `reusableBlocks.tags` (array) List of tags that help you quickly locate reusable blocks when editing email templates in the UI by using the tag filter. ## Response 200 fields (application/json): - `reasons` (array) Returns an empty array if the request succeeds. Example: []